Name:               greenboot-qcom
Version:            0.8
Release:            1%{?dist}
Summary:            Greenboot scripts for Qualcomm boards with A/B boot

License:            LGPLv2+
URL:                https://gitlab.com/echanude/greenboot-qcom.git
VCS:                git+https://gitlab.com/echanude/greenboot-qcom.git#c574a1bae93319c3b7ea50d6e668cec18078f485:

Source:             greenboot-qcom-c574a1ba.tar.gz

BuildArch:          noarch
BuildRequires:      systemd-rpm-macros
%{?systemd_requires}
Requires:           greenboot
Requires:           gdisk ufs-utils

%description
Greenboot scripts for Qualcomm boards with A/B boot that will propagate the
boot status as the firmware expects.

%prep
%setup -T -b 0 -q -n greenboot-qcom

%build

%install
mkdir -p %{buildroot}%{_libexecdir}/greenboot
install -DpZm 0755 usr/libexec/greenboot/greenboot-qcom-ctl %{buildroot}%{_libexecdir}/greenboot/greenboot-qcom-ctl
install -DpZm 0644 usr/lib/systemd/system/greenboot-qcom-set-failure.service %{buildroot}%{_unitdir}/greenboot-qcom-set-failure.service
install -DpZm 0644 usr/lib/systemd/system/greenboot-qcom-set-success.service %{buildroot}%{_unitdir}/greenboot-qcom-set-success.service

%files
%license LICENSE
%{_libexecdir}/greenboot/greenboot-qcom-ctl
%{_unitdir}/greenboot-qcom-set-failure.service
%{_unitdir}/greenboot-qcom-set-success.service


%post
%systemd_post greenboot-qcom-set-failure.service
%systemd_post greenboot-qcom-set-success.service

%preun
%systemd_preun greenboot-qcom-set-failure.service
%systemd_preun greenboot-qcom-set-success.service

%postun
%systemd_postun_with_restart greenboot-qcom-set-failure.service
%systemd_postun_with_restart greenboot-qcom-set-success.service


%changelog
* Wed Jul 05 2023 Eric Chanudet <echanude@redhat.com> 0.8-1
- greenboot: refactor switch-slot
- greenboot: handle UFS LUN switch

* Tue May 02 2023 Eric Chanudet <echanude@redhat.com> 0.7-1
- greenboot: switch to systemd service
- greenboot: amend typo in error message
- greenboot: remove the blkdev name limitation

* Thu Apr 20 2023 Eric Chanudet <echanude@redhat.com> 0.6-1
- greenboot: revert to using the kernel cmdline

* Thu Apr 13 2023 Eric Chanudet <echanude@redhat.com> 0.5-1
- greenboot: rename wrappers
- greenboot: trim get_active comment
- greenboot: amend typo in get_active

* Wed Apr 05 2023 Eric Chanudet <echanude@redhat.com> 0.4-1
- rpkg: new SRPM build method
- greenboot: clarify comments
- specfile: switch to rpmautospec and amend summary
- greenboot: fix typo and clear Bit55 on success
- greenboot: initial green and red scripts
- license: initial commit
